summary refs log tree commit diff
path: root/build-template
diff options
context:
space:
mode:
authorLeah Neukirchen <leah@vuxu.org>2020-01-27 14:42:06 +0100
committerLeah Neukirchen <leah@vuxu.org>2020-01-27 14:42:06 +0100
commit6dee0885b727f7f8da484ce5eda5599024a671de (patch)
tree733c7d67759ed43541cf5bac917fb27d7e62a261 /build-template
downloadmewix-6dee0885b727f7f8da484ce5eda5599024a671de.tar.gz
mewix-6dee0885b727f7f8da484ce5eda5599024a671de.tar.xz
mewix-6dee0885b727f7f8da484ce5eda5599024a671de.zip
initial commit of mewix
Diffstat (limited to 'build-template')
-rwxr-xr-xbuild-template13
1 files changed, 13 insertions, 0 deletions
diff --git a/build-template b/build-template
new file mode 100755
index 0000000..5fe652c
--- /dev/null
+++ b/build-template
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+rm -rf dst
+mkdir dst
+
+cat lib1.sh $1 lib2.sh | ./enter-newroot
+
+for d in dst/*/*; do
+  [ -d "$d" ] || continue
+
+  tar czvf pkg/$( echo "$d" | sed 's/^dst\///; s:/:@:g' ).tar.xz -C $d . --sort=name --mtime="@0" --owner=0 --group=0 --numeric-owner
+  echo $d
+done